package com.uas.platform.b2b.manage.model;


import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * 邀请记录
 *
 * @author hejq
 * @date 2018-07-10 16:18
 */
@Entity
@Table(name = "v_invites")
public class Invite extends KeyEntity implements Serializable {

    /**
     * 序列号
     */
    private static final long serialVersionUID = 1L;

    /**
     * 企业UU号
     */
    @Id
    @Column(name = "enuu")
    private Long uu;

    /**
     * 公司名称
     */
    @Column(name = "enname")
    private String enName;

    /**
     * 商业登记证号
     */
    @Column(name = "businesscode")
    private String enBussinessCode;

    /**
     * 注册时间
     */
    @Column(name = "endate")
    private Date enDate;

    /**
     * 管理员姓名
     */
    @Column(name = "adminname")
    private String adminName;

    /**
     * 邀请企业名称
     */
    @Column(name = "invitename")
    private String inviteEnName;

    /**
     * 邀请企业UU
     */
    @Column(name = "inviteuu")
    private Long inviteUU;

    /**
     * 邀请用户名称
     */
    @Column(name = "inviteusername")
    private String inviteUserName;

    /**
     * 邀请用户UU
     */
    @Column(name = "inviteuseruu")
    private Long inviteUserUU;

    /**
     * 邀请用户联系方式
     */
    @Column(name = "inviteusertel")
    private String inviteUserTel;

    /**
     * 上传物料统计
     */
    @Transient
    private Long productCount;

    /**
     * 最近一次物料上传时间
     */
    @Transient
    private Date lastProductDate;

    public Long getUu() {
        return uu;
    }

    public void setUu(Long uu) {
        this.uu = uu;
    }

    public String getEnName() {
        return enName;
    }

    public void setEnName(String enName) {
        this.enName = enName;
    }

    public String getEnBussinessCode() {
        return enBussinessCode;
    }

    public void setEnBussinessCode(String enBussinessCode) {
        this.enBussinessCode = enBussinessCode;
    }

    public Date getEnDate() {
        return enDate;
    }

    public void setEnDate(Date enDate) {
        this.enDate = enDate;
    }

    public String getAdminName() {
        return adminName;
    }

    public void setAdminName(String adminName) {
        this.adminName = adminName;
    }

    public String getInviteEnName() {
        return inviteEnName;
    }

    public void setInviteEnName(String inviteEnName) {
        this.inviteEnName = inviteEnName;
    }

    public Long getInviteUU() {
        return inviteUU;
    }

    public void setInviteUU(Long inviteUU) {
        this.inviteUU = inviteUU;
    }

    public String getInviteUserName() {
        return inviteUserName;
    }

    public void setInviteUserName(String inviteUserName) {
        this.inviteUserName = inviteUserName;
    }

    public Long getInviteUserUU() {
        return inviteUserUU;
    }

    public void setInviteUserUU(Long inviteUserUU) {
        this.inviteUserUU = inviteUserUU;
    }

    public String getInviteUserTel() {
        return inviteUserTel;
    }

    public void setInviteUserTel(String inviteUserTel) {
        this.inviteUserTel = inviteUserTel;
    }

    public Long getProductCount() {
        return productCount;
    }

    public void setProductCount(Long productCount) {
        this.productCount = productCount;
    }

    public Date getLastProductDate() {
        return lastProductDate;
    }

    public void setLastProductDate(Date lastProductDate) {
        this.lastProductDate = lastProductDate;
    }

    /**
     * 主键值
     *
     * @return
     */
    @Override
    public Object getKey() {
        return this.uu;
    }
}
